Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# emitter_xtra Struct Reference

## Data Fields
VALUE | oid
VALUE | data
VALUE | port

## Detailed Description

Definition at line 90 of file rubyext.c.

## Field Documentation

VALUE emitter_xtra::data

Definition at line 92 of file rubyext.c.

Referenced by syck_emitter_emit(), syck_emitter_reset(), syck_lookup_sym(), syck_mark_emitter(), and syck_out_mark().

VALUE emitter_xtra::oid

Definition at line 91 of file rubyext.c.

Referenced by syck_emitter_emit(), syck_emitter_reset(), syck_mark_emitter(), and syck_out_mark().

VALUE emitter_xtra::port

Definition at line 93 of file rubyext.c.

Referenced by rb_syck_output_handler(), syck_emitter_emit(), syck_emitter_reset(), and syck_mark_emitter().

The documentation for this struct was generated from the following file:

- ext/syck/rubyext.c